| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriterDataLifecycleQosPolicy Class Reference

Specifies the behavior of the DataWriter with regards to the lifecycle of the data-instances it manages. More...

`#include <WriterDataLifecycleQosPolicy.hpp>`

## Public Member Functions

| WriterDataLifecycleQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~WriterDataLifecycleQosPolicy ()
| Destructor.
void | clear ()
bool | operator== (const WriterDataLifecycleQosPolicy &b) const

## Public Attributes

bool | autodispose_unregistered_instances
| Controls whether a DataWriter will automatically dispose instances each time they are unregistered.

## Detailed Description

Specifies the behavior of the DataWriter with regards to the lifecycle of the data-instances it manages.

Warning
  This Qos Policy will be implemented in future releases.

Note
  Mutable Qos Policy

## Constructor & Destructor Documentation

## ◆ WriterDataLifecycleQosPolicy()

WriterDataLifecycleQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~WriterDataLifecycleQosPolicy()

virtual FASTDDS_EXPORTED_API ~WriterDataLifecycleQosPolicy | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline

## ◆ operator==()

bool operator== | ( | const WriterDataLifecycleQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ autodispose_unregistered_instances

bool autodispose_unregistered_instances

Controls whether a DataWriter will automatically dispose instances each time they are unregistered.

The setting autodispose_unregistered_instances = TRUE indicates that unregistered instances will also be considered disposed.
By default, true.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/WriterDataLifecycleQosPolicy.hpp